Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsManagedConnectionFactory

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsManagedConnectionFactory

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionFactory, Serializable

public class JmsManagedConnectionFactory
extends Object
implements javax.resource.spi.ManagedConnectionFactory

??? Created: Sat Mar 31 03:08:35 2001

Version:
  $Revision: 1.11 $
Author:
  Peter Antman .
See Also:
  Serialized Form

Constructor Summary
`JmsManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()` Create a "non managed" connection factory.
`Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)` Create a ConnectionFactory with appserver hook
`javax.resource.spi.ManagedConnection` | `createManagedConnection(Subject subject, javax.resource.spi.ConnectionRequestInfo info)` Create a new connection to manage in pool
`boolean` | `equals(Object obj)` Checks for equality ower the configured properties.
`String` | `getClientID()` Get client id, may be null.
`org.jboss.jms.jndi.JMSProviderAdapter` | `getJmsProviderAdapter()`
`String` | `getJmsProviderAdapterJNDI()`
`PrintWriter` | `getLogWriter()`
`javax.jms.ConnectionMetaData` | `getMetaData()`
`String` | `getPassword()` Get password, may be null.
`protected JmsMCFProperties` | `getProperties()`
`String` | `getSessionDefaultType()`
`String` | `getUserName()` Get userName, may be null.
`int` | `hashCode()`
`boolean` | `isStrict()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, javax.resource.spi.ConnectionRequestInfo info)` Match a set of connections from the pool
`void` | `setClientID(String clientID)` Set client id, null by default.
`void` | `setJmsProviderAdapter(org.jboss.jms.jndi.JMSProviderAdapter adapter)` For local access
`void` | `setJmsProviderAdapterJNDI(String jndi)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setPassword(String password)` Set password, null by default.
`void` | `setSessionDefaultType(String type)` Set the default session typ
`void` | `setStrict(boolean strict)`
`void` | `setStrict(Boolean strict)`
`void` | `setUserName(String userName)` Set userName, null by default.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsManagedConnectionFactory

    public JmsManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws javax.resource.ResourceException

  Create a "non managed" connection factory. No appserver involved

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### createConnectionFactory

    public Object createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)
                                   throws javax.resource.ResourceException

  Create a ConnectionFactory with appserver hook

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo info)
                                                                 throws javax.resource.ResourceException

  Create a new connection to manage in pool

  Specified by:
    `createManagedConnection` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(Set connectionSet,
                                                                        Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo info)
                                                                 throws javax.resource.ResourceException

  Match a set of connections from the pool

  Specified by:
    `matchManagedConnections` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws javax.resource.ResourceException

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws javax.resource.ResourceException

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### equals

    public boolean equals(Object obj)

  Checks for equality ower the configured properties.

  Specified by:
    `equals` in interface `javax.resource.spi.ManagedConnectionFactory`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ManagedConnectionFactory`

### setJmsProviderAdapterJNDI

    public void setJmsProviderAdapterJNDI(String jndi)

### getJmsProviderAdapterJNDI

    public String getJmsProviderAdapterJNDI()

### setUserName

    public void setUserName(String userName)

  Set userName, null by default.

### getUserName

    public String getUserName()

  Get userName, may be null.

### setPassword

    public void setPassword(String password)

  Set password, null by default.

### getPassword

    public String getPassword()

  Get password, may be null.

### getClientID

    public String getClientID()

  Get client id, may be null.

### setClientID

    public void setClientID(String clientID)

  Set client id, null by default.

### isStrict

    public boolean isStrict()

### setStrict

    public void setStrict(boolean strict)

### setStrict

    public void setStrict(Boolean strict)

### setSessionDefaultType

    public void setSessionDefaultType(String type)
                               throws javax.resource.ResourceException

  Set the default session typ

  Parameters:
    `type` - either javax.jms.Topic or javax.jms.Queue
  Throws:
    `javax.resource.ResourceException` - if type was not a valid type.

### getSessionDefaultType

    public String getSessionDefaultType()

### setJmsProviderAdapter

    public void setJmsProviderAdapter(org.jboss.jms.jndi.JMSProviderAdapter adapter)

  For local access

### getJmsProviderAdapter

    public org.jboss.jms.jndi.JMSProviderAdapter getJmsProviderAdapter()

### getMetaData

    public javax.jms.ConnectionMetaData getMetaData()

### getProperties

    protected JmsMCFProperties getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.